<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" id="tech-polkit" xml:lang="oc">

  <info>
    <link type="guide" xref="tech" group="polkit"/>

    <credit type="author copyright">
      <name>Federico Mena Quintero</name>
      <email its:translate="no">federico@gnome.org</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Access control for system-level services provided through D-Bus</desc>
  </info>

<title>Polkit</title>

  <p>Polkit, or Policy Kit, handles the policies that let unprivileged processes
  talk to privileged ones via <link xref="tech-d-bus">D-Bus</link> APIs. For
  example, not all programs should be allowed to request that the machine be
  disconnected from the network via the
  <link xref="tech-network-manager">NetworkManager</link> service.</p>

  <p>
    Polkit lets the system administrator define different policies for
    different services.  For example, only a user with physical access to the
    console may mount/unmount drives and volumes; users that are not at the
    console will need to type an administrator password.  On a machine for home
    users, most policies will be rather liberal, as the users can be trusted to
    take care of the machine.  On corporate settings, policies may be more
    restricted.
  </p>

  <p>
    GNOME uses PolicyKit whenever applications need to request privileged
    operations.
  </p>

  <list style="compact">
    <item><p><link href="http://www.freedesktop.org/wiki/Software/polkit">Polkit home page</link></p></item>
  </list>

</page>
